org.icefaces.ace.component.panel

## Enum PanelBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<PanelBase.PropertyKeys>
  - - org.icefaces.ace.component.panel.PanelBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PanelBase.PropertyKeys>
  Enclosing class:
    PanelBase

      protected static enum PanelBase.PropertyKeys
      extends java.lang.Enum<PanelBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `closable`
    `closeSpeed`
    `collapsed`
    `disableInputs`
    `footer`
    `header`
    `previousDisableInputs`
    `style`
    `styleClass`
    `toggleable`
    `toggleSpeed`
    `visible`
    `widgetVar`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static PanelBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PanelBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### closable

          public static final PanelBase.PropertyKeys closable

    - #### closeSpeed

          public static final PanelBase.PropertyKeys closeSpeed

    - #### collapsed

          public static final PanelBase.PropertyKeys collapsed

    - #### disableInputs

          public static final PanelBase.PropertyKeys disableInputs

    - #### footer

          public static final PanelBase.PropertyKeys footer

    - #### header

          public static final PanelBase.PropertyKeys header

    - #### style

          public static final PanelBase.PropertyKeys style

    - #### styleClass

          public static final PanelBase.PropertyKeys styleClass

    - #### toggleSpeed

          public static final PanelBase.PropertyKeys toggleSpeed

    - #### toggleable

          public static final PanelBase.PropertyKeys toggleable

    - #### visible

          public static final PanelBase.PropertyKeys visible

    - #### widgetVar

          public static final PanelBase.PropertyKeys widgetVar

    - #### previousDisableInputs

          public static final PanelBase.PropertyKeys previousDisableInputs

  - ### Method Detail

    - #### values

          public static PanelBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PanelBase.PropertyKeys c : PanelBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PanelBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<PanelBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.